List all webhook subscriptions for a profile.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v3/profiles/{profileId}/subscriptions
- Sandbox Environmenthttps://api.wise-sandbox.com/v3/profiles/{profileId}/subscriptions
curl -i -X GET \
'https://api.wise.com/v3/profiles/{profileId}/subscriptions' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'OK
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Array []
UUID that uniquely identifies the subscription.
Example:"72195556-e5cb-495e-a010-b37a4f2a3043"
A custom name for your webhook to ease with identification.
Example:"Webhook Subscription #1"
The event type this subscription is listening for. List of available events.
Example:"transfers#state-change"
Response
[ { "id": "e889e085-3677-4110-be26-3e9160ac9f25", "name": "#1 subscription", "delivery": { "version": "2.0.0", "url": "https://your.webhook.url/12345" }, "trigger_on": "transfers#state-change", "scope": { "domain": "profile", "id": "<your profile ID>" }, "created_by": { "type": "user", "id": "<your user ID>" } }, { "id": "eabeb3f5-c134-4a1c-99e2-86a1163daf1b", "name": "#2 subscription", "delivery": { "version": "2.0.0", "url": "https://your.webhook.url/12345" }, "trigger_on": "transfers#state-change", "scope": { "domain": "profile", "id": "<your profile ID>" }, "created_by": { "type": "user", "id": "<your user ID>" } } ]